osl::container::BitXmask Class Reference

X座標のbitset. More...

`#include <bitXmask.h>`

## Public Member Functions

| BitXmask ()
void | clearAll ()
void | set (int x)
void | clear (int x)
void | set (Square position)
void | clear (Square position)
bool | isSet (int x) const
int | intValue () const

## Private Attributes

int | mask

## Detailed Description

X座標のbitset.

Definition at line 16 of file bitXmask.h.

## Constructor & Destructor Documentation

## BitXmask()

osl::container::BitXmask::BitXmask | ( |  | ) |

inline

Definition at line 20 of file bitXmask.h.

References mask.

## Member Function Documentation

## clear() [1/2]

void osl::container::BitXmask::clear | ( | int | x | ) |

inline

Definition at line 23 of file bitXmask.h.

References mask.

## clear() [2/2]

void osl::container::BitXmask::clear | ( | Square | position | ) |

inline

Definition at line 26 of file bitXmask.h.

References clear(), and osl::Square::x().

Referenced by clear().

## clearAll()

void osl::container::BitXmask::clearAll | ( |  | ) |

inline

Definition at line 21 of file bitXmask.h.

References mask.

## intValue()

int osl::container::BitXmask::intValue | ( |  | ) | const

inline

Definition at line 30 of file bitXmask.h.

References mask.

Referenced by osl::container::operator<<(), and osl::container::operator==().

## isSet()

bool osl::container::BitXmask::isSet | ( | int | x | ) | const

inline

Definition at line 28 of file bitXmask.h.

References mask.

## set() [1/2]

void osl::container::BitXmask::set | ( | int | x | ) |

inline

Definition at line 22 of file bitXmask.h.

References mask.

## set() [2/2]

void osl::container::BitXmask::set | ( | Square | position | ) |

inline

Definition at line 25 of file bitXmask.h.

References set(), and osl::Square::x().

Referenced by set().

## Member Data Documentation

## mask

int osl::container::BitXmask::mask

private

Definition at line 18 of file bitXmask.h.

Referenced by BitXmask(), clear(), clearAll(), intValue(), isSet(), and set().

The documentation for this class was generated from the following file:

- bitXmask.h